Package: org.codehaus.groovy.control.customizers.builder

## [Groovy] Class CompilerCustomizationBuilder

- org.codehaus.groovy.control.customizers.builder.CompilerCustomizationBuilder

-     @CompileStatic
      class CompilerCustomizationBuilder
      extends FactoryBuilderSupport

  A builder which allows easy configuration of compilation customizers. Instead of creating various compilation customizers by hand, you may use this builder instead, which provides a shorter syntax and removes most of the verbosity.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class FactoryBuilderSupport` | `CURRENT_FACTORY, PARENT_FACTORY, PARENT_NODE, CURRENT_NODE, PARENT_CONTEXT, PARENT_NAME, CURRENT_NAME, OWNER, PARENT_BUILDER, CURRENT_BUILDER, CHILD_BUILDER, SCRIPT_CLASS_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CompilerCustomizationBuilder ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Object` | `postNodeCompletion(Object parent, Object node)`
    `` | `static CompilerConfiguration` | `withConfig(CompilerConfiguration config, Closure code)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class FactoryBuilderSupport` | `dispose, invokeMethod, invokeMethod, getCurrent, getParentNode, getCurrentName, getVariables, getVariable, setVariable, registerFactory, registerFactory, registerBeanFactory, registerBeanFactory, registerExplicitProperty, registerExplicitProperty, getLocalExplicitMethods, getRegistrationGroups, getRegistrationGroupItems, getMethodMissingDelegate, setMethodMissingDelegate, getExplicitProperties, getPostInstantiateDelegates, removeAttributeDelegate, setNameMappingClosure, addPreInstantiateDelegate, getPreInstantiateDelegates, checkValueIsTypeNotString, getLocalExplicitProperties, getPostNodeCompletionDelegates, addPostInstantiateDelegate, getNameMappingClosure, getAttributeDelegates, removePostInstantiateDelegate, getContextAttribute, removePreInstantiateDelegate, addPostNodeCompletionDelegate, registerExplicitMethod, registerExplicitMethod, setPropertyMissingDelegate, addAttributeDelegate, removePostNodeCompletionDelegate, getPropertyMissingDelegate, getDisposalClosures, getParentName, getExplicitMethods, getChildBuilder, getParentFactory, checkValueIsNull, autoRegisterNodes, checkValueIsType, getFactories, getCurrentFactory, getCurrentBuilder, getLocalFactories, getParentContext, addDisposalClosure, withBuilder, withBuilder, withBuilder, getProperty, getName, setProperty, getContext, build, build, build, hasVariable, removeVariable, setMetaClass, getMetaClass, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### CompilerCustomizationBuilder()

  - ### Method Detail

    - #### @Override @SuppressWarnings(value: Instanceof) protected Object postNodeCompletion(Object parent, Object node)

    - #### static CompilerConfiguration withConfig(CompilerConfiguration config, @DelegatesTo(type: org.codehaus.groovy.control.customizers.builder.CompilerCustomizationBuilder) Closure code)